petsc-3.10.3 2018-12-18
Report Typos and Errors

# TSSundialsGetPC

Extract the PC context from a time-step context for Sundials.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsGetPC(TS ts,PC *pc)

### Input Parameter

ts -the time-step context

### Output Parameter

pc -the preconditioner context

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetMaxl(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance()

### Level

advanced

### Location

src/ts/impls/implicit/sundials/sundials.c

### Implementations

TSSundialsGetPC_Sundials in src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages